Page MenuHomePhabricator

PHP error "Undefined index: error in CirrusSearch/includes/BaseInterwikiResolver.php"
Closed, ResolvedPublicPRODUCTION ERROR

Description

type:hhvm
Notice: Undefined index: error in /srv/mediawiki/php-1.32.0-wmf.10/extensions/CirrusSearch/includes/BaseInterwikiResolver.php on line 221
type:mediawiki channel:error
#0 /srv/mediawiki/php-1.32.0-wmf.10/extensions/CirrusSearch/includes/BaseInterwikiResolver.php(221): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.32.0-wmf.10/extensions/CirrusSearch/includes/BaseInterwikiResolver.php(166): CirrusSearch\BaseInterwikiResolver->sendConfigDumpRequest(array)
#2 /srv/mediawiki/php-1.32.0-wmf.10/includes/libs/objectcache/BagOStuff.php(168): Closure$CirrusSearch\BaseInterwikiResolver::loadConfigFromAPI()
#3 /srv/mediawiki/php-1.32.0-wmf.10/extensions/CirrusSearch/includes/BaseInterwikiResolver.php(168): BagOStuff->getWithSetCallback(string, integer, Closure$CirrusSearch\BaseInterwikiResolver::loadConfigFromAPI;1290)
#4 /srv/mediawiki/php-1.32.0-wmf.10/extensions/CirrusSearch/includes/BaseInterwikiResolver.php(65): CirrusSearch\BaseInterwikiResolver->loadConfigFromAPI(array, array, array)
#5 /srv/mediawiki/php-1.32.0-wmf.10/extensions/CirrusSearch/includes/InterwikiSearcher.php(75): CirrusSearch\BaseInterwikiResolver->getSisterProjectConfigs()
#6 /srv/mediawiki/php-1.32.0-wmf.10/extensions/CirrusSearch/includes/CirrusSearch.php(379): CirrusSearch\InterwikiSearcher->getInterwikiResults(string)
#7 /srv/mediawiki/php-1.32.0-wmf.10/extensions/CirrusSearch/includes/CirrusSearch.php(178): CirrusSearch->searchTextReal(string, CirrusSearch\SearchConfig)
#8 /srv/mediawiki/php-1.32.0-wmf.10/includes/search/SearchEngine.php(81): CirrusSearch->doSearchText(string)
#9 /srv/mediawiki/php-1.32.0-wmf.10/includes/search/SearchEngine.php(167): Closure$SearchEngine::searchText()
#10 /srv/mediawiki/php-1.32.0-wmf.10/includes/search/SearchEngine.php(82): SearchEngine->maybePaginate(Closure$SearchEngine::searchText;1063)
#11 /srv/mediawiki/php-1.32.0-wmf.10/includes/specials/SpecialSearch.php(319): SearchEngine->searchText(string)
#12 /srv/mediawiki/php-1.32.0-wmf.10/includes/specials/SpecialSearch.php(185): SpecialSearch->showResults(string)
#13 /srv/mediawiki/php-1.32.0-wmf.10/includes/specialpage/SpecialPage.php(565): SpecialSearch->execute(NULL)
#14 /srv/mediawiki/php-1.32.0-wmf.10/includes/specialpage/SpecialPageFactory.php(569): SpecialPage->run(NULL)
#15 /srv/mediawiki/php-1.32.0-wmf.10/includes/MediaWiki.php(288): SpecialPageFactory::executePath(Title, RequestContext)
#16 /srv/mediawiki/php-1.32.0-wmf.10/includes/MediaWiki.php(867): MediaWiki->performRequest()
#17 /srv/mediawiki/php-1.32.0-wmf.10/includes/MediaWiki.php(524): MediaWiki->main()
#18 /srv/mediawiki/php-1.32.0-wmf.10/index.php(42): MediaWiki->run()
#19 /srv/mediawiki/w/index.php(3): include(string)
#20 {main}

Event Timeline

Krinkle created this task.Jul 10 2018, 8:42 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptJul 10 2018, 8:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
EBjune triaged this task as Medium priority.Jul 12 2018, 5:03 PM
EBjune added a subscriber: EBjune.

Looks like it could have been a brief and non-recurring hiccup, we'll keep an eye on it and try to diagnose any further instances as they occur.

Actually, this aligns with recent downtime instances, and reveals we're not handling errors properly in this case.

Krinkle closed this task as Resolved.Jul 31 2018, 6:39 PM

Last seen in production during 1.32.0-wmf.10 and and 1.32.0-wmf.12. Zero matche for wmf.13 or wmf.14. Marking as resolved for now.

dcausse claimed this task.Oct 5 2018, 3:57 PM

Change 464055 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Drop support for loading external config from wgConf

https://gerrit.wikimedia.org/r/464055

Change 464055 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Drop support for loading external config from wgConf

https://gerrit.wikimedia.org/r/464055

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM